%define name    imspector
%define version 0.9
%define release %mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:    Multiple IM transparent proxy
License:    GPLv2+
Group:      Networking/Other
URL:        http://www.imspector.org/
Source:     http://www.imspector.org/downloads/%{name}-%{version}.tar.gz
Patch0:      imspector-make.patch
Patch1:	     imspector-main.patch
Patch2:	     imspector-conf.patch
Patch3:      multiple-lines.patch
#Patch4:	     imspector-main-gcc44.patch
BuildRequires:  openssl-devel >= 0.9.7
#BuildRequires: mysql-devel
#BuildRequires:  postgresql-devel
#BuildRequires: sqlite3-devel
Requires:	apache
Requires:	perl
#Requires:	mysql-shared
Requires:	libecpg
#Requires:	libsqlite3_0
Requires:	openssl
BuildRoot:  %{_tmppath}/%{name}-%{version}


%description
IMSpector is an Instant Messenger proxy with monitoring, blocking and content-filtering capabilities. Currently 
it supports MSN, Jabber/XMPP, AIM, ICQ, Yahoo, IRC and Gadu-Gadu to different degrees. MSN is the principle 
protocol, as it is the most popular these days, at least in the UK where I'm based. The supported platforms are at 
present Linux and BSD when using the pf firewall, but porting to other UNIXs should be trivial. It is able to log 
to plain files, as well as several types of SQL database including MySQL, SQLite and PostreSQL.

%prep

%setup -q 
%patch0 -p0 -b .make
%patch1 -p0 -b .notusr
%patch2 -p0 -b .config
%patch3 -p1 -b .multiple_lines_at_config

%build
%make CXX="g++ %optflags"


%install

%makeinstall
install -d %{buildroot}%{_var}/www/cgi-bin
mv contrib/imspector.cgi %{buildroot}%{_var}/www/cgi-bin/

%{__mkdir_p}  %{buildroot}%{_sysconfdir}/ssl/imspector
%{__mkdir_p}  %{buildroot}%{_var}/log/imspector
%{__mkdir_p}  %{buildroot}%{_var}/lib/imspector

# provide a simple apache config
%{__mkdir_p} %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d/
cat > %{buildroot}/etc/httpd/conf/webapps.d/imspector.conf << EOF
<Location /cgi-bin/imspector.cgi>
    Order deny,allow
    Deny from all
    Allow from 127.0.0.1
    ErrorDocument 403 "Access denied per /etc/httpd/conf/webapps.d/imspector.conf"
</Location>
EOF


%clean
%{__rm} -rf %{buildroot}

%pre
%_pre_useradd imspector %{_var}/lib/imspector /bin/false
#%_pre_groupadd imspector

%postun
%_postun_userdel imspector
%_postun_groupdel imspector

%post
echo -en "\n\n\n\n\n\n\n" | openssl req -new -newkey rsa:1024 -days 365 -nodes -x509 \
                -keyout %{_sysconfdir}/ssl/imspector/cakey.pem \
                -out %{_sysconfdir}/ssl/imspector/cacert.pem

echo -en "\n\n\n\n\n\n\n" | openssl req -new -newkey rsa:1024 -days 365 -nodes -x509 \
                -keyout %{_sysconfdir}/ssl/imspector/serverkey.pem \
                -out %{_sysconfdir}/ssl/imspector/servercert.pem

chown imspector.imspector %{_var}/log/imspector
chown imspector.imspector %{_var}/lib/imspector

%files
%defattr(0755,root,root)
%doc COPYING INSTALL README
%{_sbindir}/imspector
%dir %{_sysconfdir}/imspector
%{_sysconfdir}/imspector/acl.txt
%{_sysconfdir}/imspector/badwords.txt
%{_sysconfdir}/imspector/imspector.conf
%dir %{_libdir}/imspector
%{_libdir}/imspector/aclfilterplugin.so
%{_libdir}/imspector/badwordsfilterplugin.so
%{_libdir}/imspector/catsloggingplugin.so
%{_libdir}/imspector/censordfilterplugin.so
%{_libdir}/imspector/debugloggingplugin.so
%{_libdir}/imspector/fileloggingplugin.so
%{_libdir}/imspector/ggprotocolplugin.so
%{_libdir}/imspector/httpsprotocolplugin.so
%{_libdir}/imspector/icqprotocolplugin.so
%{_libdir}/imspector/ircprotocolplugin.so
%{_libdir}/imspector/jabberprotocolplugin.so
%{_libdir}/imspector/miscfilterplugin.so
%{_libdir}/imspector/msnprotocolplugin.so
%{_libdir}/imspector/yahooprotocolplugin.so
%{_libdir}/libimspector.so
%{_var}/www/cgi-bin/imspector.cgi
%dir %{_sysconfdir}/ssl/imspector
%dir %{_var}/lib/imspector
##%{_sysconfdir}/ssl/imspector/cacert.pem
##%{_sysconfdir}/ssl/imspector/cakey.pem
##%{_sysconfdir}/ssl/imspector/servercert.pem
##%{_sysconfdir}/ssl/imspector/serverkey.pem
%{_sysconfdir}/httpd/conf/webapps.d/imspector.conf


%changelog
* Mon Jul 27 2009 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 0.9-1mdv2009.0
+ Revision: 400890
- P1 rediff
- 0.9.0

* Thu Jul 16 2009 Funda Wang <fundawang@mandriva.org> 0.8-5mdv2010.0
+ Revision: 396634
- drop database requires as they are not build by default

* Wed Jul 08 2009 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 0.8-4mdv2010.0
+ Revision: 393386
- P1+P4=P1
- again....
- P4 for gcc44
- again
- P3 added, multiple configuration lines is now possible like other unix configs

* Thu Mar 12 2009 Emmanuel Andry <eandry@mandriva.org> 0.8-3mdv2009.1
+ Revision: 354280
- create ssl certificate at install time
- add apache configuration

* Tue Mar 10 2009 Emmanuel Andry <eandry@mandriva.org> 0.8-2mdv2009.1
+ Revision: 353444
- import imspector


* Mon Mar  9 2009 Daniel Lucio <dlucio@okay.com.mx> 0.8-2mdv2009.1
- Addon of requires and buildrequieres
- CGI script
- SSL certificates install

* Fri Mar  6 2009 Daniel Lucio <dlucio@okay.com.mx> 0.8-1mdv2009.0
- First package

